.. ICARTT documentation master file, created by
   sphinx-quickstart on Thu Feb 10 09:33:37 2022.
   You can adapt this file completely to your liking, but it should at least
   contain the root `toctree` directive.

******
icartt
******

`icartt` is an ICARTT file format reader and writer for Python

The ICARTT data format is described here: https://www-air.larc.nasa.gov/missions/etc/IcarttDataFormat.htm

.. toctree::
   :maxdepth: 2
   :caption: Contents:

Examples
########

.. include:: usage.rst

API
###

.. module:: icartt

Constants
**********

Reported here for completeness, do not need to be changed by the user. Can be defined by the user upon :class:`Dataset` / :class:`Variable` creation and when writing to output.

.. autodata:: icartt.dataset.DEFAULT_NUM_FORMAT

.. autodata:: icartt.dataset.DEFAULT_FIELD_DELIM

.. autodata:: icartt.dataset.DEFAULT_SCALE_FACTOR

.. autodata:: icartt.dataset.DEFAULT_MISSING_VALUE

Dataset
********

.. autoclass:: Dataset
   :members:

DataStore
*********

The `.data` attribute of a Dataset is a DataStore, which can be accessed to add data as follows:

.. autoclass:: DataStore1001
   :members: add

.. autoclass:: DataStore2110
   :members: add

Formats
********

.. autoenum:: Formats

Variable
********

.. autoclass:: Variable
   :members:

Variable types
***************

.. autoenum:: VariableType

Indices and tables
###################

* :ref:`genindex`
* :ref:`modindex`
* :ref:`search`
